# Uses of Class
org.apache.commons.math3.stat.descriptive.SummaryStatistics

Packages that use SummaryStatistics
Package
Description
org.apache.commons.math3.random
Random number and random data generators.
org.apache.commons.math3.stat.descriptive
Generic univariate summary statistic objects.
org.apache.commons.math3.stat.inference
Classes providing hypothesis testing.

## Uses of SummaryStatistics in org.apache.commons.math3.random

Methods in org.apache.commons.math3.random that return types with arguments of type SummaryStatistics
Modifier and Type
Method
Description
`List<SummaryStatistics>`
EmpiricalDistribution.`getBinStats()`
Returns a List of `SummaryStatistics` instances containing statistics describing the values in each of the bins.
Methods in org.apache.commons.math3.random with parameters of type SummaryStatistics
Modifier and Type
Method
Description
`protected RealDistribution`
EmpiricalDistribution.`getKernel(SummaryStatistics bStats)`
The within-bin smoothing kernel.

## Uses of SummaryStatistics in org.apache.commons.math3.stat.descriptive

Subclasses of SummaryStatistics in org.apache.commons.math3.stat.descriptive
Modifier and Type
Class
Description
`class`
`SynchronizedSummaryStatistics`
Implementation of `SummaryStatistics` that is safe to use in a multithreaded environment.
Methods in org.apache.commons.math3.stat.descriptive that return SummaryStatistics
Modifier and Type
Method
Description
`SummaryStatistics`
SummaryStatistics.`copy()`
Returns a copy of this SummaryStatistics instance with the same internal state.
`SummaryStatistics`
AggregateSummaryStatistics.`createContributingStatistics()`
Creates and returns a `SummaryStatistics` whose data will be aggregated with those of this `AggregateSummaryStatistics`.
Methods in org.apache.commons.math3.stat.descriptive with parameters of type SummaryStatistics
Modifier and Type
Method
Description
`static void`
SummaryStatistics.`copy(SummaryStatistics source, SummaryStatistics dest)`
Copies source to dest.
Constructors in org.apache.commons.math3.stat.descriptive with parameters of type SummaryStatistics
Modifier
Constructor
Description
``
`AggregateSummaryStatistics(SummaryStatistics prototypeStatistics)`
Initializes a new AggregateSummaryStatistics with the specified statistics object as a prototype for contributing statistics and for the internal aggregate statistics.
``
`AggregateSummaryStatistics(SummaryStatistics prototypeStatistics, SummaryStatistics initialStatistics)`
Initializes a new AggregateSummaryStatistics with the specified statistics object as a prototype for contributing statistics and for the internal aggregate statistics.
``
`SummaryStatistics(SummaryStatistics original)`
A copy constructor.

## Uses of SummaryStatistics in org.apache.commons.math3.stat.inference

Method parameters in org.apache.commons.math3.stat.inference with type arguments of type SummaryStatistics
Modifier and Type
Method
Description
`double`
OneWayAnova.`anovaPValue(Collection<SummaryStatistics> categoryData, boolean allowOneElementData)`
Computes the ANOVA P-value for a collection of `SummaryStatistics`.